Update a probationary-period
Update a probationary-period by its ID.
Access
Access
EstablishmentsThis API endpoint will filter out results based on accessible business-establishments.You may only access probationary-periods belonging to employees whose applicable business-establishments are accessible to you.
Authorizations
The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.
Headers
Set the API version.
2024-11-01 "2024-11-01"10"2024-11-01"
Only execute the request if current cached version of the resource does not match the one given here.
"W/q5sd4w2x1c1gfdg"
Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.
"W/q5sd4w2x1c1gfdg"
List of compression algorithms you support.
Path Parameters
Identifier of the probationary-period
1Query Parameters
Include metadata:
embedded: the partial or complete representations of related resources (e.g. the employee the resource belongs to).links: links to related resources or actions (e.g. approving a leave-request). May benullwhen you do not have access to the resource (or action).totalCount: only applicable on collections (i.e. lists of resources), gives the total number of items across all pages.
Read more about expanding responses.
embedded, links, totalCount Body
The (partial?) representation of the probationary-period to update.
The (partial?) representation of the probationary-period to update.
Initial end date of the probationary-period. Required upon creation.
^\d{4}-(?:0[1-9]|1[0-2])-(?:0[1-9]|[12]\d|3[01])$End date of the probationary-period in case it was extended.
^\d{4}-(?:0[1-9]|1[0-2])-(?:0[1-9]|[12]\d|3[01])$Response
OK
The updated probationary-period resource.
1"probationary-period"The employment this probationary-period applies to. Cannot be modified once the probationary-period is created.
Read-only. Equal to the related employment start date.
^\d{4}-(?:0[1-9]|1[0-2])-(?:0[1-9]|[12]\d|3[01])$Read-only. End date of the probationary-period, equal to extendedEndsOn if not null, and initialEndsOn otherwise.
^\d{4}-(?:0[1-9]|1[0-2])-(?:0[1-9]|[12]\d|3[01])$Initial end date of the probationary-period. Required upon creation.
^\d{4}-(?:0[1-9]|1[0-2])-(?:0[1-9]|[12]\d|3[01])$End date of the probationary-period in case it was extended.
^\d{4}-(?:0[1-9]|1[0-2])-(?:0[1-9]|[12]\d|3[01])$Read-only. UTC timestamp of the moment this object was created.
The UTC offset may be written Z or +00:00, with up to 7 fractional digits of a second.
"2023-01-23T12:45:23.1234567+00:00"
"2023-01-23T12:45:23.1234Z"
Read-only. UTC timestamp of the moment this object was last updated.
Set upon creation, update or deletion of the object.
The UTC offset may be written Z or +00:00, with up to 7 fractional digits of a second.
"2023-01-23T12:45:23.1234567+00:00"
"2023-01-23T12:45:23.1234Z"
No embedded resources on a probationary-period(s) response. Expect an empty object if embedded are requested.